Subject: Re: [bug#42735] [PATCH] pre-inst-env: don't use GUIX_PACKAGE_PATH

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 14 Aug 2020 13:16:09 +0200

Mathieu Othacehe <[email-masked]> writes:

> Hello Denis,
>
>> ./pre-inst-env is supposed to use only the packages definitions that are in
>> the guix source tree and not the host packages.
>>
>> However if GUIX_PACKAGE_PATH is set, it will use host packages as well.
>
> Let say you have a custom my-hello package inheriting from hello, and
> you want to build it on top of a recent Guix checkout, then you probably
> want GUIX_PACKAGE_PATH to cooperate with pre-inst-env.

That’s primarily how I use GUIX_PACKAGE_PATH: for development.  If you
have GUIX_PACKAGE_PATH set for any other reasons you should consider
using channels instead.

-- 
Ricardo